# class MyDCOPObject | More...
Internal Use Only
Definition | `#include <testdcop.h>`
Inherits | DCOPObject [public ], QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- MyDCOPObject (const QCString &name)
- bool process (const QCString &fun, const QByteArray &data, QCString& replyType, QByteArray &replyData)
- void function (const QString &arg1, int arg2)

#### Public Slots

- void registered (const QCString &appName)
- void unregistered (const QCString &appName)

## Detailed Description

$QTDIR/bin/moc testdcop.cpp -o testdcop.moc g++ -o testdcop testdcop.cpp -I$KDEDIR/include -I$QTDIR/include -L$KDEDIR/lib -L$QTDIR/lib -lkdecore -ldl

MyDCOPObject (const QCString &name) | ### MyDCOPObject

bool process (const QCString &fun, const QByteArray &data, QCString& replyType, QByteArray &replyData) | ### process

Reimplemented from DCOPObject.

void function (const QString &arg1, int arg2) | ### function

void registered (const QCString &appName) | ### registered

[slot]

void unregistered (const QCString &appName) | ### unregistered

[slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:33:39 2001, using kdoc 2.0a53.